/*
 * AGIL: Adventure Game Interpreter for Linux, (C) 2001, 2002 RaDIaT1oN
 * 	See the file COPYING
 */

#include <stdio.h>

#include "general.h"

#ifdef NEED_SNPRINTF
#include <stdarg.h>
/* BE WARNED OF THE EVIL FAKE snprintf() FOR DJGPP/MINGW32 VERSIONS */
int snprintf ( char *str, size_t n, const char *format, ... )
{
	int ret;
	va_list args;

	va_start(args, format);

	ret = vsprintf(str, format, args);

	va_end(args);
	return ret;
}
#endif

