/*
 * AGIL: Adventure Game Interpreter for Linux, (C) 2001, 2002 RaDIaT1oN
 * 	See the file COPYING
 */

#ifndef __GENERAL_H__
#define __GENERAL_H__

#define TITLE "AGIL"
#define VERSION "0.1.5"

#ifndef NULL
#define NULL 0
#endif

#define UNIX

#ifdef DJGPP
#define NEED_SNPRINTF
#undef UNIX
#endif

#ifdef WIN32
#define NEED_SNPRINTF
#undef UNIX
#endif

/* Convenient types to use */
#define UINT8	unsigned char
#define SINT8	signed char
#define UINT16	unsigned short
#define SINT16	signed short
#define UINT32	unsigned long
#define SINT32	signed long

typedef enum {
	false, true
} boolean;

#ifdef NEED_SNPRINTF
#include <stdio.h>
extern int snprintf ( char *str, size_t n, const char *format, ... );
#endif

#endif
