/*
 * AGIL: Adventure Game Interpreter for Linux, (C) 2001, 2002 RaDIaT1oN
 * 	See the file COPYING
 */

#ifndef __TEXT_H__
#define __TEXT_H__

#include "general.h"

extern char inputstring[];
extern int input_pos;

extern UINT16 parsed[];
extern char parsedwords[10][40];

extern boolean text_special_input;
extern boolean text_input_entered;

void text_init(void);
void text_flushwords(void);
void text_addword(char * word, UINT16 wordid);
void text_parse(char * input);
void text_echoline(void);
void text_new_key(int code);
void text_input(char * prompt, int x, int y, int l, char * def);

#endif
