/*
 * AGIL: Adventure Game Interpreter for Linux, (C) 2001, 2002 RaDIaT1oN
 * 	See the file COPYING
 */

#include <stdio.h>

#include "general.h"
#include "status.h"


struct game_status_s status = {
	false,	/* accept_input */
	false,	/* show_status_line */
	'#',	/* cursor_char */
	0,	/* bgcolor */
	15,	/* fgcolor */
	false,	/* program_control */
	36,	/* horizon */
	true	/* dialogue_open */
};


void status_reset(void) 
{
	status.accept_input = false;
	status.show_status_line = false;
	status.cursor_char = '#';
	status.bgcolor = 0;
	status.fgcolor = 15;
	status.program_control = false;
	status.horizon = 36;
	status.dialogue_open = true;
}
