/*
 * AGIL: Adventure Game Interpreter for Linux, (C) 2001, 2002 RaDIaT1oN
 * 	See the file COPYING
 */

#ifndef __SOUND_H__
#define __SOUND_H__

#include "general.h"

#define BUFFER_SAMPLE_SIZE 400
#define BUFFER_BYTE_SIZE 800

#define SOUND_DUR_USEC 18140

extern volatile boolean playing;

void sound_init(void);
void sound_play(UINT8 *data, UINT8 flg);
void sound_stop(void);

SINT16 * sound_getbuffer(void);

/* If this is unset, sound_play() just sets the "sound played" flag */
/* For use if sound initialization fails, or driver does not support sound */
extern boolean sound_enabled;

#endif

